<?php

if ( $wyslany_formularz ) {

  if ( $_POST['dodaj_wpis'] and !empty($_POST['tresc']) ) {
    if ( $_POST['edytowane'] != '' )
      $zawartosc['wpisy'][$_POST['edytowane']] = array( 'tresc' => $_POST['tresc'], 'data' => $_POST['data'] ) ;
    else
      $zawartosc['wpisy'][] = array( 'tresc' => $_POST['tresc'], 'data' => $_POST['data'] ) ;
    $komunikat = 'dob.Wpis został zapisany.';
  }
  
  if ( $_POST['usun_wpis'] and $_POST['usuwane'] != '' ) {
    unset( $zawartosc['wpisy'][ $_POST['usuwane'] ] );
    $komunikat = 'dob.Wpis został usunięty.';
  }
  
  if ( $_POST['ustawienia'] ) {
    $zawartosc['ustawienia'] = array ( 'kolejnosc' => $_POST['kolejnosc'] );
    $komunikat = 1;
  }
  
  if ( $zawartosc['ustawienia']['kolejnosc'] < 1 )
    $zawartosc['ustawienia']['kolejnosc'] = 2;
  
}

elseif ( $panel_administracyjny ) {

  if ( is_numeric($_GET['edycja']) and isset($zawartosc['wpisy'][$_GET['edycja']]) ) {
    $edycja = true;
    $edycja_numer = $_GET['edycja'];
    $edycja_tresc = $zawartosc['wpisy'][$edycja_numer]['tresc'];
    $edycja_data = $zawartosc['wpisy'][$edycja_numer]['data'];
  }
  else
    $edycja = false;

?>

<form method="post">

<table>

<caption><?php echo ($edycja) ? 'Edycja wpisu' : 'Dodawanie wpisu' ?></caption>

<tr> <td><textarea name="tresc" id="edytor" class="male-pole-tekstowe"><?php if ($edycja) { echo $edycja_tresc; } ?></textarea></td> </tr>

</table>

<input type="hidden" name="data" value="<?php echo ($edycja) ? $edycja_data : date(FORMAT_DATY) ?>" />
<?php if ($edycja) { ?><input type="hidden" name="edytowane" value="<?php echo $edycja_numer ?>" /><?php } ?>
<input type="hidden" name="dodaj_wpis" value="1" />

<p class="submit">
<input type="submit" value="<?php echo ($edycja) ? 'Zapisz wpis' : 'Dodaj wpis' ?>" />
<?php if ($edycja) { ?><a href="<?php echo $z ?>">Nowy wpis</a><?php } ?>
</p>

</form>

<form method="post">

<table>

<caption>Istniejące wpisy</caption>

<tr> <th>Treść</th> <th class="waska-kolumna">Data</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
if ( count($zawartosc['wpisy']) == 0 )
  echo '<tr> <td colspan="3">Brak wpisów.</td> </tr>';
else {
  foreach ( array_reverse($zawartosc['wpisy'],true) as $numer => $element ) {
    echo '<tr> <td> <a href="' . $z . '&edycja=' . $numer . '">' . fragment($element['tresc']) . '</a> </td> <td class="waska-kolumna">' . pokaz_date($element['data']) . '</td> <td class="waska-kolumna"><input type="radio" name="usuwane" value="' . $numer . '" /></td> </tr>' . "\n";
  }
}
?>

<tr> <td></td> <td class="waska-kolumna"></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć wpis?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_wpis" value="1" />

</form>

<form method="post">

<table>

<caption>Ustawienia minibloga</caption>

<tr> <td>Kolejność:</td> <td><label><input type="radio" name="kolejnosc" value="1" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],1) ?> />chronologicznie</label><label><input type="radio" name="kolejnosc" value="2" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],2) ?> />chronol. odwrotnie</label><br /><label><input type="radio" name="kolejnosc" value="3" <?php zaznacz_checkbox($zawartosc['ustawienia']['kolejnosc'],3) ?> />losowo</label></td> </tr>

</table>

<input type="hidden" name="ustawienia" value="1" />

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
</p>

</form>

<?php
}